#!/bin/bash
# IPC - CCcam.cfg-Edit
# (c)SEG74

. /var/emu/script/functions.sh
readipccfg
setrights
[ -z $CCNAME ] && clear && echo -e "\033[1;31mVariablen Konfigurationsfehler !\033[0m" && exit 1
[ -z $CCCFG ] && clear && echo -e "\033[1;31mVariablen Konfigurationsfehler !\033[0m" && exit 1
[ -z $CCCHANGELOG ] && clear && echo -e "\033[1;31mVariablen Konfigurationsfehler !\033[0m" && exit 1
[ -z $CHANGELOG ] && clear && echo -e "\033[1;31mIPC - Paket Konfigurationsfehler !\033[0m" && exit 1

ChangeLOG ()
 {
  if [[ $CHANGELOG == 1 ]]; then
    SIZEN=$(stat -c %s $CCCFG)
      if [ "$SIZEV" == "$SIZEN"  ]; then
        echo "CCcam.cfg wurde geschlossen";
      else
        echo "$CCNAME Konfiguration wurde aktualisiert";
        echo "$(date +"%d.%m.%Y") [cccam cfg] $CCNAME Konfiguration wurde aktualisiert" >> $CCCHANGELOG
        w >> $CCCHANGELOG
        echo "-------------------------------------------------------------------------------" >> $CCCHANGELOG
      fi
  fi
 }

clear

echo -e "$CCNAME-Server: \033[1;37mKonfiguration\033[0m                                   $(date +"%d.%m.%Y %H:%M")"
echo "==============================================================================="
echo ""

if [ -e $CCCFGNEW ]; then
	echo -e "\033[1;31mWARNUNG! Es existiert bereits eine NEUE $CCNAME Konfiguration !\033[0m"
	echo ""
	echo "-------------------------------------------------------------------------------"
	echo ""
	echo -e "\033[1;37mInfo:\033[0m"
	echo "Die NEUE Konfiguration wird durch crontab in der Nacht geladen."
	echo "Bearbeite die NEUE Konfiguration oder loesche diese zuerst..."
	echo ""
	echo "      sofort laden    [cccam cfgnl]"
	echo "      bearbeiten      [cccam cfgn]"
	echo "      loeschen        [cccam cfgnd]"
else
	if test -f $CCCFG
	then
		echo "Lade $CCCFG zum editieren.."
		SIZEV=$(stat -c %s $CCCFG)
		sleep 1
		nano -R $CCCFG
		ChangeLOG
		readcccamcfg
		infophpconfwrite 
	else
		echo -e "\033[1;31mKeine Konfiguration vorhanden, erstelle diese unter $CCCFG !\033[0m"
	fi
fi

echo ""
echo "-------------------------------------------------------------------------------"
echo ""

exit 0
