#!/bin/bash
# IPC - CCcam.cfg.new / Neue Konfiguration erstellen
# (c)SEG74

. /var/emu/script/functions.sh
readipccfg
[ -z $CCCFG ] && clear && echo -e "\033[1;31mVariablen Konfigurationsfehler !\033[0m" && exit 1
[ -z $CCCFGNEW ] && clear && echo -e "\033[1;31mVariablen Konfigurationsfehler !\033[0m" && exit 1
[ -z $CCCHANGELOG ] && clear && echo -e "\033[1;31mVariablen Konfigurationsfehler !\033[0m" && exit 1
[ -z $CHANGELOG ] && clear && echo -e "\033[1;31mIPC - Paket Konfigurationsfehler !\033[0m" && exit 1

ChangeLOG ()
 {
SIZEN=$(stat -c %s $CCCFGNEW)
#echo "$SIZEV -> $SIZEN"
  if [[ $CHANGELOG == 1 ]]; then
      if [ "$SIZEV" == "$SIZEN"  ]; then
	 echo "CCcam.cfg.new wurde geschlossen."
      else
        echo "CCcam.cfg.new wurde aktualisiert";
        echo "$(date +"%d.%m.%Y") [cccam cfgn] Neue CCcam-Konfiguration wurde aktualisiert" >> $CCCHANGELOG
        w >> $CCCHANGELOG
        echo "-------------------------------------------------------------------------------" >> $CCCHANGELOG
      fi
  fi
 }

clear

echo -e "CCcam-Server: \033[1;37mNeue Konfiguration\033[0m                              $(date +"%d.%m.%Y %H:%M")"
echo "==============================================================================="
echo ""

if test -f $CCCFGNEW
then
	echo "Lade $CCCFGNEW zum editieren.."
	sleep 2
	SIZEV=$(stat -c %s $CCCFGNEW)
	nano -R $CCCFGNEW
	ChangeLOG
else
	echo "Erstelle $CCCFGNEW zum editieren.."
	cp -a $CCCFG $CCCFGNEW
	sleep 2	
	SIZEV=$(stat -c %s $CCCFGNEW)
	nano -R $CCCFGNEW
	ChangeLOG
fi

echo ""
echo -e "\033[1;31mDie neue Konfiguration wird in der Nacht durch Crontab aktiviert !\033[0m"
echo ""
echo "   Manuell laden : [cccam cfgnl]"
echo "   Loeschen      : [cccam cfgnd]"
echo ""
echo "-------------------------------------------------------------------------------"
echo ""

setrights

exit 0

