#!/bin/bash
# IPC - CCcam-Channelinfo Update
# (c)SEG74

. /var/emu/script/functions.sh
readcccamcfg
[ -z $IPURL ] && clear && echo -e "\033[1;31mVariablen Konfigurationsfehler !\033[0m" && exit 1
[ -z $CCCHAN ] && clear && echo -e "\033[1;31mVariablen Konfigurationsfehler !\033[0m" && exit 1
[ -z $CAMLOGS ] && clear && echo -e "\033[1;31mVariablen Konfigurationsfehler !\033[0m" && exit 1

clear
echo -e "CCcam-Server: \033[1;37mChannelinfo Update\033[0m                              $(date +"%d.%m.%Y %H:%M")"
echo "==============================================================================="
echo ""

[ -f $CCCHAN ] && cp -f $CCCHAN /tmp
[ -f $CCCHAN ] && cp -f $CCCHAN $CCCHAN.old
cd /tmp
WGETLOG=$CAMLOGS/wget_channelinfo.log
rm -f $WGETLOG

echo "Verbinde zum Updateserver.."
echo ""
wget -N -o $WGETLOG $IPURL/keys/CCcam.channelinfo
	if [ ! "`grep '200 OK' $WGETLOG`" = "" ] ; then
		if [ ! "`grep 'no newer' $WGETLOG`" = "" ] || [ ! "`grep 'nicht neuer' $WGETLOG`" = "" ] ; then
			echo -e "$CCCHAN   -> \033[0;32mist bereits aktuell\033[0m    $(stat -c %y $CCCHAN | cut -d ' ' -f1)"
			rm -f $CCCHAN.old
		else
			cp -f /tmp/CCcam.channelinfo $CCCHAN
			echo -e "$CCCHAN   -> \033[1;31mwird aktualisiert\033[0m      $(stat -c %y $CCCHAN | cut -d ' ' -f1)"
			chmod 644 $CCCHAN
		fi
	else
		echo -e "\033[0;33mUpdateserver ist im Moment nicht erreichbar.\033[0m"
	fi

echo ""
echo "-------------------------------------------------------------------------------"
echo ""

rm -f $WGETLOG
rm -f /tmp/CCcam.channelinfo

exit 0
