#!/bin/bash
# IPC - CCcam-Providers
# (c)SEG74

. /var/emu/script/functions.sh
readcccamcfg
[ -z $IPURL ] && clear && echo -e "\033[1;31mVariablen Konfigurationsfehler !\033[0m" && exit 1
[ -z $CCPROV ] && clear && echo -e "\033[1;31mVariablen Konfigurationsfehler !\033[0m" && exit 1
[ -z $CAMLOGS ] && clear && echo -e "\033[1;31mVariablen Konfigurationsfehler !\033[0m" && exit 1

clear
echo -e "CCcam-Server: \033[1;37mProviders Update\033[0m                                $(date +"%d.%m.%Y %H:%M")"
echo "==============================================================================="
echo ""

[ -f $CCPROV ] && cp -f $CCPROV /tmp
[ -f $CCPROV ] && cp -f $CCPROV $CCPROV.old
cd /tmp
WGETLOG=$CAMLOGS/wget_providers.log
rm -f $WGETLOG

echo "Verbinde zu Updateserver.."
echo ""
wget -N -o $WGETLOG $IPURL/keys/CCcam.providers
	if [ ! "`grep '200 OK' $WGETLOG`" = "" ] ; then
		if [ ! "`grep 'no newer' $WGETLOG`" = "" ] || [ ! "`grep 'nicht neuer' $WGETLOG`" = "" ] ; then
			echo -e "$CCPROV     -> \033[0;32mist bereits aktuell\033[0m    $(stat -c %y $CCPROV | cut -d ' ' -f1)"
			rm -f $CCPROV.old	
		else
			cp -f /tmp/CCcam.providers $CCPROV
			echo -e "$CCPROV     -> \033[1;31mwird akutalisiert\033[0m    $(stat -c %y $CCPROV | cut -d ' ' -f1)"
			chmod 644 $CCPROV
		fi
	else
		echo -e "\033[0;33mUpdateserver ist im Moment nicht erreichbar.\033[0m"
	fi

echo ""
echo "-------------------------------------------------------------------------------"
echo ""

rm -f $WGETLOG
rm -f /tmp/CCcam.providers

exit 0
