#!/bin/bash
# IPC - CCcam-Version
# (c)SEG74

. /var/emu/script/functions.sh
readcccamcfg
weblogon
[ -z $IPCVERSION ] && clear && echo -e "\033[1;31mVariablen Konfigurationsfehler !\033[0m" && exit 1
[ -z $CCVERSION ] && clear && echo -e "\033[1;31mVariablen Konfigurationsfehler !\033[0m" && exit 1
[ -z $IPURL ] && clear && echo -e "\033[1;31mVariablen Konfigurationsfehler !\033[0m" && exit 1

rm -f /tmp/CCcam.x*
rm -f /tmp/cccam.*
rm -f /tmp/index.html
cd /tmp

download ()
{
wget -q http://$WUP$CCURL:$CCPORT/$1
}
 
download
CCV=$(cat index.html | grep "Welcome"  | sed 's/^.*\( [0-9.]* \).*$/\1/')

rm -f /tmp/index.html

clear
echo -e "CCcam-Server: \033[1;37mVersion\033[0m                                         $(date +"%d.%m.%Y %H:%M")"
echo "==============================================================================="
echo ""
echo "Verbinde zu Updateserver.."
wget -q $IPURL/versionen/cccam.versionen

if [ -e /tmp/cccam.versionen ]; then
	echo " OK"
else
	echo -e "\033[1;31mVerbindung zu Onlineserver derzeit nicht moeglich !"
	echo ""
	exit 1
fi

clear
echo -e "CCcam-Server: \033[1;37mVersion\033[0m                                         $(date +"%d.%m.%Y %H:%M")"
echo "==============================================================================="
echo ""
echo "Aktive CCcam Version : $CCV"
echo ""
cat /tmp/cccam.versionen
echo ""
echo -en "\033[0;33m[W]echseln / []Beenden: \033[0m"
read key
case $key in
	[Ww])
		dummy="1"
	;;
	*)
		echo ""
		echo "-------------------------------------------------------------------------------"
		echo ""
		exit
	;;
esac

echo -en "Eingabe der CCcam Versionsnummer (zb. 2.1.2): "
read CCNVER
echo ""
echo "Verbinde zu Updateserver.."
wget -q $IPURL/versionen/$CCNVER/$CCVERSION

if [ -e /tmp/$CCVERSION ]; then
	echo " OK"
else
	echo -e "\033[1;31mGewaehlte Version ist nicht Online !"
	echo -e "\033[1;35m$FMURL\033[0m"
	echo ""
	exit 1
fi

echo "-------------------------------------------------------------------------------"
echo -e "\033[1;31mWARNUNG: CCcam wird nun beendet, Version $CCNVER installiert, weiter ? (y/n) \033[0m"
echo "-------------------------------------------------------------------------------"
read x
case $x in
	[YyJj])
		dummy="1"
	;;
	*)
		echo -e "\033[1;34mAbgebrochen\033[0m"
		echo "-------------------------------------------------------------------------------"
		echo ""
		exit
	;;
esac

echo "Crontab wird beendet.."
/etc/init.d/cron stop
sleep 1

echo ""
echo "CCcam wird beendet.."	
pkill $CCVERSION
sleep 2

echo ""
echo "CCcam $CCNVER installieren.."
mv -f /tmp/$CCVERSION /var/emu/cccam
chmod 755 /var/emu/cccam/$CCVERSION
sleep 1

echo ""
echo "CCcam starten.."
cccam start
echo ""
sleep 1

PID="$(pgrep -x cron)"
if [[ ! -z $PID ]] ; then
	dummy="1"
else
	echo "Cron starten.."
	/etc/init.d/cron start > /dev/null 2>&1
fi

sleep 1

echo ""
echo "-------------------------------------------------------------------------------"
echo -e "\033[1;32mUmstellung auf CCcam Version $CCNVER abgeschlossen\033[0m"
echo "-------------------------------------------------------------------------------"
echo ""

exit 0
