#!/bin/bash
# IPC - Konfiguration
# (c)SEG74

. /var/emu/script/functions.sh
tempdir
readcccamcfg
setrights
[ -z $IPCCONFIG ] && clear && echo -e "\033[1;31mVariablen Konfigurationsfehler !\033[0m" && exit 1

clear

echo -e "IPC $IPCVERSION: \033[1;37mKonfiguration\033[0m                                       $(date +"%d.%m.%Y %H:%M")"
echo "==============================================================================="
echo ""

if test -f $IPCCONFIG
then
	echo "Lade IPC-Konfiguration zum editieren.."
	sleep 2
	nano -R $IPCCONFIG
else
	echo -e "\033[1;31mKeine IPC-Konfiguration vorhanden,"
	echo -e "erstelle diese unter $IPCCONFIG !\033[0m"
	echo ""
	exit 1
fi

#IPC lesen
readipccfg

echo "IPC-Konfiguration wird angepasst.."

#Export .htaccess
echo ""
htaccess="1"
if [[ -z $HTTPUSER || -z $HTTPPASS ]]; then
	htaccess="0"; fi
#if [[ -z $HTTPPASS ]]; then
#	htaccess="0"; fi

if [ $htaccess == "1" ]; then
	htpasswd -bc /var/emu/conf/.webaccess $HTTPUSER $HTTPPASS > /dev/null 2>&1
	echo -e "\033[0;32mWebseiteschutz    aktiviert\033[0m"
	if [ -e $CCWWW/.htaccessOff ]; then
		mv -f $CCWWW/.htaccessOff $CCWWW/.htaccess; fi
else
	echo -e "\033[0;36mWebseiteschutz    deaktiviert\033[0m"
	if [ -e $CCWWW/.htaccess ]; then
		mv -f $CCWWW/.htaccess $CCWWW/.htaccessOff; fi
fi

#Cron-Steuerung
if [ $CRON == "1" ]
	then echo -e "\033[0;32mCRON-Steuerung    aktiviert\033[0m"
	else echo -e "\033[0;36mCRON-Steuerung    deativiert\033[0m"; fi

#Changelog
if [ $CHANGELOG == "1" ]
	then echo -e "\033[0;32mChangelog         aktiviert\033[0m"
	else echo -e "\033[0;36mChangelog         deativiert\033[0m"; fi

#Crashmail
if [ $CRASHMAIL == "1" ]
	then echo -e "\033[0;32mCrashmail         aktiviert\033[0m"
	else echo -e "\033[0;36mCrashmail         deativiert\033[0m"; fi

echo ""
echo "-------------------------------------------------------------------------------"
echo ""

exit 0
