#!/bin/bash
# IPC - Deinstallieren / entfernt alles ausser die IPC-Backupordner !
# (c)SEG74

. /var/emu/script/functions.sh

BACKUPDIR=$BACKUPDIR
TMPFILE=/tmp/deinstall.txt

clear

echo -e "IPC $IPCVERSION: \033[1;37mDeinstallieren\033[0m                                      $(date +"%d.%m.%Y %H:%M")"
echo "==============================================================================="
echo ""

echo "Suche nach Backupdateien die vor der IPC Installtion erstellt wurden.."
ls $BACKUPDIR | grep forsetup > /tmp/deinstall.txt
#cat $TMPFILE
if [ ! -s $TMPFILE ]; then
	echo " Backupordner ist nicht vorhanden"
	RECOVER=0
else
	ORDNER=$(cat $TMPFILE | head -n1)
	echo " Backupordner gefunden: $BACKUPDIR/$ORDNER"
	RECOVER=1
fi

echo ""
echo "IPC deinstallieren ?"
echo ""
echo -en "\033[0;33m[D]einstallieren / []Beenden: \033[0m"
read key
case $key in
	[Dd])
		echo=""
	;;
	*)
		echo ""
		echo "-------------------------------------------------------------------------------"
		echo ""
		exit
	;;
esac

echo ""
echo -e "\033[1;31mDeinstallation wird gestartet\033[0m"

echo ""
echo "Cron wird beendet.."
	/etc/init.d/cron stop

echo ""
echo "Emus werden beendet.."
	pkill -9 $CCVERSION > /dev/null 2>&1
	pkill -9 $OSVERSION > /dev/null 2>&1
	pkill -9 $NCSVERSION > /dev/null 2>&1

echo ""
if [ $RECOVER = 1 ] ; then
	echo "Backupdateien werden wiederhergestellt.."
	cp -R $BACKUPDIR/$ORDNER/* / > /dev/null 2>&1
else
	echo "IPC Konfigurationsdateien werden entfernt.."
	rm -f /etc/motd
fi

echo ""
echo "IPC Ordner werden entfernt.."
	rm -R /var/emu /var/www/cccam /var/etc /var/keys > /dev/null 2>&1

echo ""
echo "Entferne Symlinks.."
	rm -f /bin/c /bin/cccam /bin/i /bin/ipc /bin/o /bin/oscam /bin/n /bin/newcs /bin/smargo

echo ""
echo "Entferne Logfiles.."
	rm -R /var/log/ipc > /dev/null 2>&1

echo ""
echo "Cron wird gestartet.."
	/etc/init.d/cron start

echo ""
echo "Apache wird neugestartet.."
	/etc/init.d/apache2 restart

if [ $RECOVER = 0 ] ; then
	echo ""
	echo -e "\033[1;37mFolgende Dateien muessen manuell bereinigt werden !\033[0m"
	echo "Oeffne diese Dateien, und entferne vorhandene EMU spezifische Eintraege:"
	echo ""
	echo "       /etc/crontab"
	echo "       /etc/rc.local"
	echo "       /etc/rsyslog.conf"
fi

echo ""
echo -e "\033[1;31mDeinstallation beendet\033[0m"
echo ""
echo "-------------------------------------------------------------------------------"
echo ""


rm -f $TMPFILE
exit 1

