#!/bin/bash
# IPC - Update
# (c)SEG74

. /var/emu/script/functions.sh
[ -z $IPCVERSION ] && clear && echo -e "\033[1;31mVariablen Konfigurationsfehler !\033[0m" && exit 1
[ -z $IPURL ] && clear && echo -e "\033[1;31mVariablen Konfigurationsfehler !\033[0m" && exit 1
[ -z $SHSETUP ] && clear && echo -e "\033[1;31mVariablen Konfigurationsfehler !\033[0m" && exit 1

cd /tmp
rm -f /tmp/version* && rm -f /tmp/$SHSETUP* && rm -f /tmp/changelog.txt*
clear

echo -e "IPC $IPCVERSION: \033[1;37mUpdate\033[0m                                              $(date +"%d.%m.%Y %H:%M")"
echo "==============================================================================="
echo ""

# Lokale Version feststellen
  LVERSION=/var/emu/conf/version
  [ ! -f $LVERSION ] && echo -e "\033[1;33mIPC-Version kann nicht festgestellt werden, Neuinstallation notwendig !\033[0m" && exit 1
  IPCVERSION=$(cat $LVERSION)
  IPCVERSIONDATE=$(stat -c %y $LVERSION | cut -d ' ' -f1)

echo "Verbinde zu Updateserver.."
wget -q $IPURL/versionen/version

if [ -e /tmp/version ]; then
	IPCONLINE="$(cat version)"
	IPCONLINEDATE=$(stat -c %y version | cut -d ' ' -f1)
	echo ""
	echo " Installationspaket Lokal   =  $IPCVERSION  ($IPCVERSIONDATE)"
	echo " Installationspaket Online  =  $IPCONLINE  ($IPCONLINEDATE)"
else
	echo ""
	echo -e "\033[1;31mUpdateserver im Moment nicht erreichbar.\033[0m"
	echo ""
	exit 1
fi

if [ /var/emu/conf/version -ot /tmp/version ] ; then
	echo ""
	echo -e "\033[1;37m Onlineversion ist aktueller, Update wird empfohlen !\033[0m"
fi

echo ""
echo -en "\033[0;33m[U]pdate / [C]hangelog / []Beenden: \033[0m"
read key
case $key in
	[Uu])
		wget -q $IPURL/$SHSETUP
		bash $SHSETUP $1
	;;
	[Cc])
		wget -q $IPURL/changelog.txt		
		more /tmp/changelog.txt
		echo -en "\033[0;33m[U]pdate / []Beenden: \033[0m"
		read key
		case $key in
			[Uu])
				wget -q $IPURL/$SHSETUP
				bash $SHSETUP $1
			;;
			*)
				echo ""
				echo "-------------------------------------------------------------------------------"
				echo ""
			;;
		esac
	;;
	*)
		echo ""
		echo "-------------------------------------------------------------------------------"
		echo ""
	;;
esac

rm -f /tmp/version*
rm -f /tmp/*ipc*
rm -f /tmp/$SHSETUP*
rm -f /tmp/changelog.txt*

exit

