#!/bin/bash
# IPC - NewCS-Watchdog
# (c)SEG74

. /var/emu/script/functions.sh
[ -z $NCSNAME ] && clear && echo -e "\033[1;31mVariablen Konfigurationsfehler !\033[0m" && exit 1
[ -z $NCSVERSION ] && clear && echo -e "\033[1;31mVariablen Konfigurationsfehler !\033[0m" && exit 1
[ -z $TIMESTAMP2 ] && clear && echo -e "\033[1;31mVariablen Konfigurationsfehler !\033[0m" && exit 1
[ -z $CAMLOGS ] && clear && echo -e "\033[1;31mVariablen Konfigurationsfehler !\033[0m" && exit 1

SUBJECT="$NCSNAME Watchdog !"
MESSAGE="$NCSNAME wurde auf `hostname -f` vom Watchdog berwachungsscript neu gestartet."

#MAIN
PID="$(pgrep -x $NCSVERSION)"
if [[ ! -z $PID ]] ; then
	echo "$TIMESTAMP2    Watchdog - NewCS Server laeuft"
else
	echo "$TIMESTAMP2    Watchdog - NewCS wurde neu gestartet" >> $CAMLOGS/NewCS-watchdog.log
	newcs start
	readipccfg
	[ $CRASHMAIL == 1 ] && mailsend "$SUBJECT" "$MESSAGE"
fi

exit 0
