#!/bin/bash
# IPC - Oscam-Srvid Update
#

. /var/emu/script/functions.sh
readcccamcfg
[ -z $IPURL ] && clear && echo -e "\033[1;31mVariablen Konfigurationsfehler!\033[0m" && exit 1
[ -z $OSRVID ] && clear && echo -e "\033[1;31mVariablen Konfigurationsfehler!\033[0m" && exit 1
UPDATED=0

clear
echo -e "OScam-Server: \033[1;37mSrvid Update\033[0m                                     $(date +"%d.%m.%Y %H:%M")"
echo "==============================================================================="
echo ""

[ -f $OSRVID ] && cp -f $OSRVID /tmp
[ -f $OSRVID ] && cp -f $OSRVID $OSRVID.old
cd /tmp
WGETLOG=$CAMLOGS/wget_oscam-srvid.log
rm -f $WGETLOG

echo "Verbinde zum Updateserver.."
echo ""
wget -N -o $WGETLOG $IPURL/keys/oscam.srvid
	if [ ! "`grep '200 OK' $WGETLOG`" = "" ] ; then
		if [ ! "`grep 'no newer' $WGETLOG`" = "" ] || [ ! "`grep 'nicht neuer' $WGETLOG`" = "" ] ; then
			echo -e "$OSRVID   -> \033[0;32mist bereits aktuell\033[0m    $(stat -c %y $OSRVID | cut -d ' ' -f1)"
			rm -f $OSRVID.old
		else
			cp -f /tmp/oscam.srvid $OSRVID
			echo -e "$OSRVID   -> \033[1;31mwird aktualisiert\033[0m      $(stat -c %y $OSRVID | cut -d ' ' -f1)"
			chmod 644 $OSRVID
			UPDATED=1
		fi
	else
		echo -e "\033[0;33mUpdateserver ist im Moment nicht erreichbar.\033[0m"
	fi

if [ "$UPDATED" = "1" ]; then
	echo -e "\033[1;37mAenderungen werden erst nach neustarten von OScam wirksam!\033[0m"
	echo ""
	echo -en "\033[0;33mOScam [N]eustarten / []Beenden: \033[0m"
	read key
	case $key in
		[Nn])
			oscam restart
		;;
		*)
			dummy=1
		;;
	esac
fi

echo ""
echo "-------------------------------------------------------------------------------"
echo ""

rm -f $WGETLOG
rm -f /tmp/oscam.srvid

exit 0
