#!/bin/bash
# IPC - OScam-Version
#

. /var/emu/script/functions.sh
[ -z $OSNAME ] && clear && echo -e "\033[1;31mVariablen Konfigurationsfehler!\033[0m" && exit 1
[ -z $OSVERSION ] && clear && echo -e "\033[1;31mVariablen Konfigurationsfehler!\033[0m" && exit 1
[ -z $OSBIN ] && clear && echo -e "\033[1;31mVariablen Konfigurationsfehler!\033[0m" && exit 1
[ -z $IPURL ] && clear && echo -e "\033[1;31mVariablen Konfigurationsfehler!\033[0m" && exit 1

$OSBIN -help &> /tmp/oscam.version
OSVER=$(cat /tmp/oscam.version | grep -i build)
rm -f /tmp/OSCam.x*
rm -f /tmp/oscam.*
cd /tmp

if [ `uname -m` = 'x86_64' ]; then
	SYSBIT="64"
else
	SYSBIT="32"
fi

clear
echo -e "$OSNAME-Server: \033[1;37mVersion\033[0m                                         $(date +"%d.%m.%Y %H:%M")"
echo "==============================================================================="
echo ""

echo "Verbinde zu Updateserver.."
wget -q $IPURL/versionen/oscam/oscam.versionen

if [ -e /tmp/oscam.versionen ]; then
	echo " OK"
else
	echo -e "\033[1;31mVerbindung zu Onlineserver derzeit nicht moeglich!"
	echo ""
	exit 1
fi

clear
echo -e "$OSNAME-Server: \033[1;37mVersion\033[0m                                         $(date +"%d.%m.%Y %H:%M")"
echo "==============================================================================="
echo ""
echo "Aktive OScam Version:"
echo "$OSVER"
echo ""
cat /tmp/oscam.versionen
echo ""
echo -en "\033[0;33m[W]echseln / []Beenden: \033[0m"
read key
case $key in
	[Ww])
		dummy="1"
	;;
	*)
		echo ""
		echo "-------------------------------------------------------------------------------"
		echo ""
		exit
	;;
esac

echo -en "Eingabe der OScam Versionsnummer (zb. 1033): "
read OSNVER
echo ""
echo "Verbinde zu Updateserver.."
wget -q $IPURL/versionen/oscam/$OSNVER/$OSVERSION

if [ -e /tmp/$OSVERSION ]; then
	echo " OK"
else
	echo -e "\033[1;31mGewaehlte (${SYSBIT}bit) OScam Version ist nicht Online!"
	echo ""
	exit 1
fi

echo "-------------------------------------------------------------------------------"
echo -e "\033[1;31mWARNUNG: OScam wird nun beendet und Version $OSNVER installiert, weiter? (y/n): \033[0m"
echo "-------------------------------------------------------------------------------"
read x
case $x in
	[YyJj])
		dummy="1"
	;;
	*)
		echo -e "\033[1;34mAbgebrochen\033[0m"
		echo "-------------------------------------------------------------------------------"
		echo ""
		exit
	;;
esac

echo "Crontab wird beendet.."
/etc/init.d/cron stop
sleep 1

echo ""
echo "OScam wird beendet.."	
pkill $OSVERSION
sleep 2

echo ""
echo "OScam $OSNVER installieren.."
mv -f /tmp/$OSVERSION /var/emu/oscam
chmod 755 /var/emu/oscam/$OSVERSION
sleep 1

echo ""
echo "OScam starten.."
oscam start
echo ""
sleep 1

PID="$(pgrep -x cron)"
if [[ ! -z $PID ]] ; then
	dummy="1"
else
	echo "Cron starten.."
	/etc/init.d/cron start > /dev/null 2>&1
fi

sleep 1

echo ""
echo "-------------------------------------------------------------------------------"
echo -e "\033[1;32mUmstellung auf OScam Version $OSNVER abgeschlossen\033[0m"
echo "-------------------------------------------------------------------------------"
echo ""

exit 0
