#!/bin/bash
# IPC - OSCam-Watchdog
#

. /var/emu/script/functions.sh
readipccfg
[ -z $OSNAME ] && clear && echo -e "\033[1;31mVariablen Konfigurationsfehler!\033[0m" && exit 1
[ -z $OSVERSION ] && clear && echo -e "\033[1;31mVariablen Konfigurationsfehler!\033[0m" && exit 1
[ -z "$TIMESTAMP2" ] && clear && echo -e "\033[1;31mVariablen Konfigurationsfehler!\033[0m" && exit 1
[ -z $CAMLOGS ] && clear && echo -e "\033[1;31mVariablen Konfigurationsfehler!\033[0m" && exit 1
[ -z $CRASHMAIL ] && clear && echo -e "\033[1;31mVariablen Konfigurationsfehler!\033[0m" && exit 1

SUBJECT="$OSNAME Watchdog !"
MESSAGE="$OSNAME wurde auf `hostname -f` vom Watchdog berwachungsscript neu gestartet."

#MAIN
PID="$(pgrep -x $OSVERSION)"
if [[ ! -z $PID ]] ; then
	echo "$TIMESTAMP2    Watchdog - OSCam Server laeuft"
else
	echo "$TIMESTAMP2    Watchdog - OSCam wurde neu gestartet" >> $CAMLOGS/OScam-watchdog.log
	oscam start
	#readipccfg
	[ $CRASHMAIL == 1 ] && mailsend "$SUBJECT" "$MESSAGE"
fi

exit 0
